

*{box-sizing:border-box;resize:none;font-family:"Microsoft YaHei",sans-serif;word-wrap:break-word;font-size:14px;}
body{width:1240px;height:auto;text-align:center;margin:auto;overscroll-behavior: none;}
::placeholder {padding-left:4px;color:#bbb;}
i{font-style:normal;}
.menu{background-color:#fff;position:absolute;z-index:9;height:auto;border:1px solid #888;}
.fa{padding:0 8px;}
h2{font-size:24px;}
a,a:hover{text-decoration:none;}
select{height:27px;border:0;}
table{border-collapse:collapse;}
button{float:left;background-color:#d7d7d7;color:#9C190E;height:27px;border:1px solid #d7d7d7;padding: 0px 16px;cursor:pointer;border-radius:2px;}
button:hover{border-color: #666;}
fieldset{margin:12px 0 0 0;text-align:left;border:1px solid #bbb;background: #eee;border-radius:6px; }
fieldset input,fieldset textarea,fieldset select{border:1px solid #ccc;background: #fff;}
legend{font-size: 14px;padding: 0 12px;font-weight: bold;}

input::-webkit-outer-spin-button,input::-webkit-inner-spin-button { -webkit-appearance: none; }
input[type="number"]{ -moz-appearance: textfield; }
input,select,textarea{border:1px solid #999;padding:0 4px;border-radius: 2px;}
input:disabled,textarea:disabled,select:disabled,input:disabled{background:#dfdfdf;border:1px solid #dfdfdf;color:#000;}
input:focus{background-color:#fcc;}
.hide{display: none;}
.showBlock{display:block;}
.showFlex{display:flex;}

/* -----------  color --------------- */

.red{color:#fff;background-color:#f88;}
.red:hover{color:#fff;background-color:#f44;}
.gray{color:#fff;background-color:#868E96;}
.gray:hover{color:#fff;background-color:#727B84;}
.yellow{color:#000;background-color:#FFCC33;}
.yellow:hover{color:#000;background-color:#FFC107;}
.blue{color:#fff;background-color:#17A2B8;}
.blue:hover{color:#fff;background-color:#138496;}
.green{color:#fff;background-color:#28A745;}
.green:hover{color:#fff;background-color:#218838;}
.green_l{color:#000;background-color:#CCFF99;}
.green_l:hover{color:#000;background-color:#aadd77;}
.transparent{background: transparent;border-color: transparent;padding: 0px 12px;}
.transparent:hover{border:1px solid #999;background: #fff;}

/* -----------  page --------------- */

.pages{margin:4px 0;}
.page_a{display:inline-block;min-width:28px;height:18px;line-height:16px;border:1px solid #39c;background-color:#39c;color:white;}
.page{display:inline-block;min-width:28px;height:18px;line-height:16px;border:1px solid #def;background-color:#def;color:#39c;}
.page:hover{display:inline-block;min-width:28px;height:18px;line-height:16px;border:1px solid #39c;background-color:#39c;color:white;cursor:pointer;}

/* ----------  column --------------- */

.column_left{float:left;text-align:center;width:100%;padding:8px;min-height:28px;cursor:pointer;color:#069;background-color:#def;}
.column_left_hover,.column_left:hover{background-color:#069;color:white;}
.column_content{float:right;text-align:left;width:100%;margin-bottom:16px;}
.column_content_header{float:left;position:relative;width:100%;height:27px;line-height:27px;margin-bottom:12px;text-align:center;color:white;background-color:#39c;display:flex;align-items: center;justify-content: center;}
.column_content_header input:read-only{background-color:#39c;color:white;}
.column_content_title{float:left;width:100%;font-size:14px;font-weight:normal;color:#fff;}
.column_content_body{}
.option{float:left;padding-left:6px;width:100%;display:inline-block;line-height:24px;cursor:pointer;}

/* -----------  triangle  ------------- */

.triangle-down{width: 0;height: 0;border-style: solid;border-width:8px 8px 0 8px;position:absolute;z-index:1;}
.triangle_tag{border-color: #39c transparent transparent transparent;}

/* -----------  tooltip --------------- */  

.tooltip{position:relative;display:inline-block;border-bottom:1px dotted black;}
.tooltip .tooltiptext{visibility:hidden;width:120px;background-color:black;color:white;text-align:center;
    border-radius:6px;padding:5px 0;position:absolute;z-index:1;bottom:150%;left:50%;margin-left:-60px;}
.tooltip .tooltiptext::after{content: "";position:absolute;top:100%;left:50%;margin-left:-5px;border-width:5px; border-style:solid;border-color:black transparent transparent transparent;}
.tooltip:hover .tooltiptext {    visibility: visible;}

/* -----------  popover --------------- */  

#_popover table td{padding:4px;}
#popover_screen{width:100%;height:100%;left:0;top:0;text-align: center;padding:24px;overflow: scroll;}
#popover_title{border-radius:6px 6px 0 0;margin-top:-1px;margin-left:-1px;position:relative;font-size:16px;color:#fff;width:100%;padding:7px 0;background-color: #015176;}
#popover_control{position:absolute;right:-2px;top:0;font-size:20px;font-weight: bold;height:100%;border-radius: 0 6px 0 0;}
#popover_control button{height: 100%;font-size: 20px;}	
.popover_cancel{border-radius: 0 8px 0 0;}
#popover_content{width:100%;text-align:center;border:1px solid #000;}

#popover_values{width:100%;height:248px;text-align: left;padding: 8px;overflow-y:auto;}
.popover_content_val{border-radius:4px;border:1px solid #999; padding:4px;background: #eee;color:#000;cursor: pointer;}
.popover_val2{min-width:66px;padding:3px 6px;margin:4px;border:1px solid #39c; border-radius:4px;display: inline-block;float:left;background: #def;color:#000;cursor: pointer;text-align: center; }
.popover_content_val:hover,.popover_val2:hover{background: #777;color:#fff;}
.popover_content_val_selected{background: #333;color:#fff;}
.reference{cursor: pointer;display:inline-block;}


#popover_input_area{padding: 8px;margin-top: 8px;}
.popover_key{min-width:66px;padding:3px 6px;margin:4px;border:1px solid #39c; border-radius:4px;display: inline-block;}



